Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453741 - X11 autoconfiguration fails
Summary: X11 autoconfiguration fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 09:41 UTC by Knut-Håvard Aksnes
Modified: 2009-07-14 17:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:31:50 UTC


Attachments (Terms of Use)
/var/log/Xorg.0.log from the failed autoprobe (deleted)
2008-07-02 09:41 UTC, Knut-Håvard Aksnes
no flags Details

Description Knut-Håvard Aksnes 2008-07-02 09:41:38 UTC
Description of problem:
X11 fails to come up in an useful configuration with no xorg.conf file.

Version-Release number of selected component (if applicable):
xorg-x11-drivers-7.3-4.fc9.x86_64


How reproducible:
Everytime with my hardware configuration.
A machine description follows:
  Macine: ASUS M70Sa 7U011G - Core 2 Duo T9300 2.5 GHz - 17" TFT
  Graphic card: ATI Mobility Radeon HD 3650; VRAM: 1GB
  Display: 17" TFT 1920 x 1280


Steps to Reproduce:
1. rm /etc/X11/xorg.conf
2. reboot
  
Actual results:

The screen goes white with black lines flickering.

Expected results:

A configured X11 server

Additional info:
One problem seems to be that the probing procedure fails to recognize the 1920 x
1280 resolution of the screen. 

A working but suboptimal setup is to use the vesa driver at 1600 x 1200

XOrg.0.log will be attached

Comment 1 Knut-Håvard Aksnes 2008-07-02 09:41:38 UTC
Created attachment 310771 [details]
/var/log/Xorg.0.log from the failed autoprobe

Comment 2 Knut-Håvard Aksnes 2008-07-04 21:40:33 UTC
I am in a little dubt about the real pixel resolution of the screen. Some
sources says 1920x1280 some others among them ASUS own web pages says standard
WUXGA (1920x1200)

Comment 3 Bug Zapper 2009-06-10 01:53:08 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 17:31:50 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.